"""
PatchCommander - A Python-based tool for streamlining AI-assisted code development.

PatchCommander processes code changes generated by Large Language Models (LLMs)
that follow a specific tag-based syntax. By instructing LLMs to format their code
suggestions using PatchCommander's tags, developers can easily and reliably
apply AI-generated changes across their codebase.
"""

VERSION = '1.1.5'
APP_NAME = 'PatchCommander'

def _get_version():
    """Get the package version."""
    return VERSION

__version__ = _get_version()

# Import main function for easier invocation
from .cli import main